## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLSourceScanner

    java.lang.Object
      org.eclipse.jface.text.rules.RuleBasedScanner
          org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLSourceScanner

All Implemented Interfaces:
  SQLKeywords, org.eclipse.jface.text.rules.ICharacterScanner, org.eclipse.jface.text.rules.ITokenScanner

    public class SQLSourceScanner

extends org.eclipse.jface.text.rules.RuleBasedScanner
implements SQLKeywords

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLKeywords
`fSQLKeywordList`

Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner
`EOF`

Constructor Summary
`SQLSourceScanner(SQLColourProvider colourProvider)` Constructor.

Method Summary

Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner
`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, nextToken, read, setDefaultReturnToken, setRange, setRules, unread`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSourceScanner

    public SQLSourceScanner(SQLColourProvider colourProvider)

  Constructor.